@mixin responsive($key) {
  @media screen and (min-width: map-get($breakpoints,$key)) {
    @content;
  }
}

$breakpoints: (
  tablet: 640px,
  laptop: 1024px,
);

.lds-spotify {
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
}
.lds-spotify div {
  display: inline-block;
  position: absolute;
  left: 8px;
  width: 16px;
  background: var(--color-1);
  animation: lds-spotify 1.2s cubic-bezier(0, 0.5, 0.5, 1) infinite;
}
.lds-spotify div:nth-child(1) {
  left: 8px;
  animation-delay: -0.24s;
}
.lds-spotify div:nth-child(2) {
  left: 32px;
  animation-delay: -0.12s;
}
.lds-spotify div:nth-child(3) {
  left: 56px;
  animation-delay: 0;
}
@keyframes lds-spotify {
  0% {
    top: 8px;
    height: 64px;
  }
  50%,
  100% {
    top: 24px;
    height: 32px;
  }
}

.overlay {
  position: fixed;
  z-index: 10;
  bottom: 1em;
  left: 40%;

  @include responsive(tablet) {
    bottom: 10%;
    left: 55%;
  }
}
